#ifndef AR_EXTRACT
#define AR_EXTRACT
/*
 *  include file for public arextrac.c functions
 *  BACI archiver
 *     Bill Bynum
 *     May 2000
 */

#include "artables.h"

void extract_members(Archive* ar,char** files, int num_files,
                     int verbose, int preserve_dates);
/*
 *  extract members named in the list of files 'files' (there
 *  are 'num_files' filenames in the list) from the archive file
 *  described by '*ar'.
 *  if (verbose) perform the action verbosely
 *  if (preserve_dates) preserve the original mtime of the file
 *  else use current time for mtime
 */

void named_extract(Archive* ar, Member* m, char* fname, int verbose);
/*
 *  extract member '*m' from archive '*ar' to a file named
 *  'fname', if this pointer is non-null; otherwise, use the
 *  original name of the member file.
 *  if (verbose) perform the action verbosely
 */
 
/*
 *  $Log: arextrac.h,v $
 *  Revision 1.7  2001/06/12 15:15:00  bynum
 *  DOS-ify include filenames
 *
 *  Revision 1.6  2001/06/04 21:18:16  bynum
 *  add named_extract proc
 *
 *  Revision 1.5  2000/05/30 15:32:48  bynum
 *  switch to BACI
 *
 * Revision 1.4  1996/04/23  17:00:31  bynum
 * add address comment
 *
 * Revision 1.3  1996/01/24  17:03:01  bynum
 * change to use of Archive struct
 *
 * Revision 1.2  1996/01/20  08:51:12  bynum
 * add #ifndef/#endif to prevent mutliple includes, remove 'extract_member'
 *
 * Revision 1.1  1996/01/15  13:37:45  bynum
 * Initial revision
 *
 */
#endif
