#ifndef __LD_H_
#define __LD_H_
/* header file for the BACI Linker */
/* data structures that all parts of the linker need */

   /* to keep track of symbol references */
typedef struct r{
   char ed;             /* 'E' (external) 'D' (defined)  'U' (unknown) */
   int lfix;            /* index of linkfile containing this reference */
   struct r *next;      /* linked list machinery */
} Ref;


   /* to keep track of symbol references */
typedef struct {
   int status;       /* status of this symbol */
   Ref* head;        /* ptr to head of Ref list */
   Ref* tail;        /* ptr to tail of Ref list */
}  RefData;


/* values for the status field above */

#define UNKNOWN   0  
   /* all symbols will be this only briefly at startup */
#define DEFINED   1  
   /* symbol has been defined                          */ 
#define UNRESEXT  2  
   /* unresolved external symbol                       */
#define TESTEDEXT 3  
   /* external symbol not found in all link libraries  */

/*
 * $Log: ld.h,v $
 * Revision 2.1  2001/07/14 22:42:06  bynum
 * add 'U' possibility to comment about ed field
 *
 * Revision 2.0  2001/07/09 18:18:54  bynum
 * Version 2.0, because it wasn't a part of Scott Mitchell's code
 *
 */
#endif
